Bug 518647 - Review Request: django-robots - django extension to manage correctly robots.txt
Review Request: django-robots - django extension to manage correctly robots.txt
Status: CLOSED DUPLICATE of bug 696516
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-21 09:33 EDT by Luca Botti
Modified: 2013-10-19 10:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-27 07:16:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luca Botti 2009-08-21 09:33:24 EDT
Spec URL: http://lucabotti.fedorapeople.org/packages/django-robots.spec
SRPM URL: http://lucabotti.fedorapeople.org/packages/django-robots-0.6.1-1.fc11.noarch.rpm
Description: A Django app for managing robots.txt files following the robots exclusion protocol

Need Sponsorship
Comment 1 Luca Botti 2009-08-25 16:37:20 EDT
(In reply to comment #0)
> Spec URL: http://lucabotti.fedorapeople.org/packages/django-robots.spec
> SRPM URL:
> http://lucabotti.fedorapeople.org/packages/django-robots-0.6.1-1.fc11.noarch.rpm
> Description: A Django app for managing robots.txt files following the robots
> exclusion protocol
> 
> Need Sponsorship  


Wrong SRPM URL: correct one is http://lucabotti.fedorapeople.org/packages/django-robots-0.6.1-1.fc11.src.rpm

Still Need Sponsorship
Comment 2 Ionuț Arțăriși 2009-09-08 11:44:57 EDT
Hello!

I am not in the packager group and therefore I will not be able to APPROVE
your package. I am only reviewing, trying to help.

Here are my suggestions (I've annotated this diff http://mapleoin.fedorapeople.org/pkgs/robots.diff):


--- django-robots.spec.orig	2009-08-25 23:41:41.000000000 +0300
+++ django-robots.spec	2009-09-08 18:33:51.713661335 +0300
@@ -1,5 +1,7 @@


I can see that getting the source isn't trivial, but bitbucket provides
archives of snapshots.

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
 
+%define snapshot 9db16b76dc19
+
 Name:           django-robots
 Version:        0.6.1
 Release:        1%{?dist}
@@ -8,11 +10,12 @@
 Group:          Development/Languages
 License:        BSD
 URL:            http://bitbucket.org/jezdez/django-robots/
-Source0:        %{name}-%{version}.tar.gz
+Source0:        http://bitbucket.org/jezdez/%{name}/get/%{snapshot}.gz
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
The package wouldn't build in mock without setuptools:

 BuildArch:      noarch
 BuildRequires:  python-devel
+BuildRequires:  python-setuptools-devel
 Requires:       Django
 
 %description
@@ -20,7 +23,7 @@
 robots exclusion protocol, complementing the Django Sitemap contrib app.
 
 %prep
-%setup -q -n %{name}-%{version}
+%setup -q -n %{name}
 
 %build
 %{__python} setup.py build

Finally, I think the %files section would be better like this:
 
@@ -35,10 +38,9 @@

 %files
 %defattr(-,root,root,-)
-%doc README.rst
-%doc INSTALL.txt
-%doc docs/overview.txt
-%{python_sitelib}/*
+%doc README.rst INSTALL.txt docs/*
+%{python_sitelib}/robots/*
+%{python_sitelib}/django_robots-%{version}-py2.6.egg-info
 
 %changelog
 * Fri Aug 21 2009 Luca Botti <lucabotti@fedoraproject.org>

I also found the following rpmlint errors which should be easy to fix:

django-robots.noarch: W: no-version-in-last-changelog
django-robots.noarch: W: file-not-in-%lang /usr/lib/python2.6/site-packages/robots/locale/de/LC_MESSAGES/django.mo
django-robots.noarch: W: file-not-in-%lang /usr/lib/python2.6/site-packages/robots/locale/fr/LC_MESSAGES/django.mo
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Good luck!
Comment 3 Tim Niemueller 2009-09-29 06:19:34 EDT
Have you been sponsored, yet? If so please provide a new package with the suggested fixes and I'll do the review. Even if you are not sponsored, yet, we can make this depend on #518636 and I can approve once you're sponsored (and the package is fine...).
Comment 4 Luca Botti 2009-09-29 08:13:22 EDT
Here comes the spec file:

http://lucabotti.fedorapeople.org/packages/django-robots.spec

and here is the package:

http://lucabotti.fedorapeople.org/packages/django-robots-0.6.1-2.fc11.src.rpm

Thanks and regards
Comment 5 Ionuț Arțăriși 2009-10-09 06:47:25 EDT
> $ rpmbuild -bp django-robots.spec error: File
> /home/mapleoin/rpmbuild/SOURCES/django-robots-9db16b76dc19.gz: No such file
> or directory

Source0:        http://bitbucket.org/jezdez/%{Name}/get/%{name}-%{snapshot}.gz

should be:

Source0:        http://bitbucket.org/jezdez/%{name}/get/%{snapshot}.gz


> %{python_sitelib}/robots/*

Chek out:
http://fedoraproject.org/wiki/Packaging:UnownedDirectories#Common_Mistakes

You should use find_lang to include locales, instead of specifying them in the
files section:
https://fedoraproject.org/wiki/Packaging/Guidelines#Why_do_we_need_to_use_.25find_lang.3F

You have to include the LICENSE.txt file in your package.

Changelogs should be a bit more informative. Try to describe what exactly has
changed within the SPEC file, not just that it's been "fixed".
Comment 6 Tim Niemueller 2010-02-11 15:45:57 EST
Luca, any progress on this?
Comment 7 Luca Botti 2010-02-15 07:29:29 EST
Hi,

after some time, I uploaded updated versions of package and spec file.

You can find them at:

http://lucabotti.fedorapeople.org/packages/django-robots.spec

and 

http://lucabotti.fedorapeople.org/packages/django-robots-0.6.1-3.fc12.src.rpm

Ready for review.

best regards
Comment 8 Matthias Runge 2010-02-17 04:53:24 EST
Sadly, I'm unable to give you an official review. If you like, I'd give you some inofficial comments

rpmlint django-robots-0.6.1-3.fc12.src.rpm django-robots.spec 
django-robots.src: W: spelling-error Summary(en_US) txt -> text, ext, tit
django-robots.src: W: spelling-error %description -l en_US txt -> text, ext, tit
django-robots.src: W: spelling-error %description -l en_US Sitemap -> Site map, Site-map, Sideman
django-robots.src: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
django-robots.src: W: invalid-url Source0: http://bitbucket.org/jezdez/%{Name}/get/django-robots-0.6.1.tar.gz HTTP Error 400: Bad Request
django-robots.spec: W: invalid-url Source0: http://bitbucket.org/jezdez/%{Name}/get/django-robots-0.6.1.tar.gz HTTP Error 400: Bad Request
1 packages and 1 specfiles checked; 0 errors, 6 warnings.

* %define version vs. Version: ?

* %{Name} should be %{name} (lower case) in Source0.
* BuildRequires should require python-setuptools, not python-setuptools-devel
* Build produces warning:
warning: File listed twice: /usr/lib/python2.6/site-packages/robots/locale/de/LC_MESSAGES/django.mo
warning: File listed twice: /usr/lib/python2.6/site-packages/robots/locale/fr/LC_MESSAGES/django.mo


* Package Name is ok, spec-file named according to package name.

* License seems to be a kind of propriary license. Listed in SPEC is BSD, LICENSE.txt 

* LICENSE etc goes to %doc (ok)

* SPEC file is legible and in plain american english (good)

* find_lang is unused in favor of own script. (ok / not ok ?)
Comment 9 Till Maas 2010-02-17 05:13:49 EST
(In reply to comment #8)
> Sadly, I'm unable to give you an official review. If you like, I'd give you
> some inofficial comments

> * %define version vs. Version: ?

The "%define version" needs to go away.
 
> * License seems to be a kind of propriary license. Listed in SPEC is BSD,
> LICENSE.txt 

I did not look at the LICENSE.txt, but there are a lot of variations of the BSD license, maybe it matches one of these:
https://fedoraproject.org/wiki/Licensing/BSD

> * find_lang is unused in favor of own script. (ok / not ok ?)

This seems to be ok, because find_lang only searches in /usr/share/locale. But on the other hand, maybe the files should be installed in /usr/share/locale instead.
Comment 10 Matthias Runge 2010-02-17 05:27:27 EST
(In reply to comment #9)
> I did not look at the LICENSE.txt, but there are a lot of variations of the BSD
> license, maybe it matches one of these:
> https://fedoraproject.org/wiki/Licensing/BSD
IMHO LICENSE.txt should be ok, then.
Comment 11 Luca Botti 2010-02-18 05:55:57 EST
About the License:

it's a BSD license confirmed by the author

About the translations:
like other Django related stuff (and Django itself) the languages shall go under /usr/lib/python${ver}/site-packages/${package_name}/locale

removed version error

new files:

http://lucabotti.fedorapeople.org/packages/django-robots.spec

http://lucabotti.fedorapeople.org/packages/django-robots-0.6.1-4.fc12.src.rpm


thx and regards
Comment 12 Matthias Runge 2010-02-18 06:08:36 EST
(In reply to comment #11)
Luca,

Source0 URL should read:
Source0:        http://bitbucket.org/jezdez/%{name}/downloads/%{name}-%{version}.tar.gz
Comment 14 Till Maas 2010-02-18 06:53:00 EST
You did not change %define to %global in the first line of the spec.

Btw. did you perform some unofficial reviews, too?
Comment 15 Till Maas 2010-06-30 09:55:25 EDT
Hey Luca, are you still interested in joining the Fedora package maintainers?
My last comment is more than four months old and has not been answered by you.

If you are not interested anymore or are just lacking the time currently,
please let us know.
Comment 16 Matthias Runge 2010-08-13 03:49:04 EDT
Ping Luca. Anything new? are you still interested? I'll close this request, if we don't hear from you within the next 14 days.
Comment 17 Rahul Sundaram 2011-04-29 05:49:54 EDT

*** This bug has been marked as a duplicate of bug 696516 ***

Note You need to log in before you can comment on or make changes to this bug.